<?php

include_once ("includes/setup.inc.php");
Header("Cache-Control: no-cache");

$num_errors = 0;
$id = fetch_postget_val("id", $_POST, $_GET);
$dateTimeNow = dateTimeNow();

try
{
	$PASS_COUNTER = 0; //COUNTER FOR DOUBLE CONFIRM
	$PASS_VALUE = 1; //NUMBER OF QUERY TO EXECUTE. IMPORTANT FOR CHECKING!!

	//PDO INIT
	$PDO->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	$PDO->beginTransaction();

	$indicator_Array = array();
	$indicator_Array[] = array('desk_sbbtunai', fetch_postget_val("desk_sbbtunai", $_POST, $_GET), PDO::PARAM_STR);
	$indicator_Array[] = array('susunan', fetch_postget_val("susunan", $_POST, $_GET), PDO::PARAM_STR);
	$indicator_Array[] = array('aktif', fetch_postget_val("aktif", $_POST, $_GET), PDO::PARAM_STR);

	if($id == 0)
	{
		$PASS_COUNTER += PDO_INSERT($PDO, 'i_sbbtunai', $indicator_Array);
	}
	else
	{
		$whereCondition = "WHERE id_sbbtunai = $id";
		$PASS_COUNTER += PDO_UPDATE_INDIKATOR_AUDIT($PDO, 'i_sbbtunai', $id, $indicator_Array, $whereCondition, $my_details->usr_id, $my_details->user_level, $dateTimeNow);
	}

	//*****************************************
	//COMMIT if PASS_COUNTER == PASS_VALUE
	//*****************************************
	if ($PASS_COUNTER == $PASS_VALUE)
	{
		$PDO->commit();
		echo $PASS_COUNTER;
	}
	else
	{
		$PDO->rollBack();
		echo -1;
	}
}
catch (Exception $e) 
{
	$PDO->rollBack();
	echo "Failed: " . $e->getMessage();
}

?>